### Hierarchy

- AtomTest
  - AtomWebTest

## Index

### Constructors

- constructor

### Properties

- app
- logText

### Accessors

- navigationService

### Methods

- createViewModel
- delay
- dispose
- init
- log

## Constructors

### constructor

- new AtomWebTest(): AtomWebTest

- Overrides AtomTest.constructor

  - Defined in src/unit/AtomWebTest.ts:18

  #### Returns AtomWebTest

## Properties

### Protected app

app: MockApp

Inherited from AtomTest.app

- Defined in src/unit/AtomTest.ts:8

### logText

logText: string

Inherited from TestItem.logText

- Defined in node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:2

## Accessors

### navigationService

- get navigationService(): MockNavigationService

- - Defined in src/unit/AtomWebTest.ts:16

  #### Returns MockNavigationService

## Methods

### createViewModel

- createViewModel<T>(c: IClassOf<T>): Promise<T>

- Inherited from AtomTest.createViewModel

  - Defined in src/unit/AtomTest.ts:12

  #### Type parameters

  - #### T: AtomViewModel

  #### Parameters

  - ##### c: IClassOf<T>

  #### Returns Promise<T>

### delay

- delay(n: number): Promise<any>

- Inherited from TestItem.delay

  - Defined in node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:6

  #### Parameters

  - ##### n: number

  #### Returns Promise<any>

### dispose

- dispose(): Promise<any>

- Overrides TestItem.dispose

  - Defined in src/unit/AtomWebTest.ts:26

  #### Returns Promise<any>

### init

- init(): Promise<any>

- Inherited from TestItem.init

  - Defined in node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:3

  #### Returns Promise<any>

### log

- log(text: string): void

- Inherited from TestItem.log

  - Defined in node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:5

  #### Parameters

  - ##### text: string

  #### Returns void

Generated using TypeDoc